Album: Alternian Misadventures Volume.2 (2020)
Directory: alternian-misadventures-volume-2
Date: May 24, 2024
Date Added: June 12, 2024
Artists:
- Xszelor
- Dvojka
Cover Artists:
- Misargentum
Art Tags:
- Dev (Alternian Misadventures!)
Cover Art File Extension: png
URLs:
- https://dvojka.bandcamp.com/album/alternian-misadventures-volume-2-2020
Color: '#3790a6'
Groups:
- Xszelor
- Fandom
Commentary: |-
    <i>Xszelor:</i> ([Bandcamp about blurb](https://dvojka.bandcamp.com/album/alternian-misadventures-volume-2-2020))
    Album i made long ago, for some things we never finished, but tried a lot.

    I never re-mastered tracks till this day, and they were buried deep in my old music archives. Only some tracks been remade for [[album:riddle-of-dixy-path-of-mind-ost|RoD:PoM OST]].

    <i>Jebb:</i> (wiki editor)
    Despite the album being added to Bandcamp on May 24th 2024, the tracks were actually released much earlier than that on VK, with the date on the Bandcamp release stating that the album was made on October 23, 2020.
---
Track: Dungeons, dungeons....and more dungeons
Duration: '02:44'
URLs:
- https://dvojka.bandcamp.com/track/dungeons-dungeons-and-more-dungeons
---
Track: There is Nothing
Duration: '02:08'
URLs:
- https://dvojka.bandcamp.com/track/there-is-nothing
---
Track: Salamandra Salamandra!
Duration: '02:03'
URLs:
- https://dvojka.bandcamp.com/track/salamandra-salamandra
---
Track: Blind Watchmaker
Duration: '01:49'
URLs:
- https://dvojka.bandcamp.com/track/blind-watchmaker
---
Track: Anachronist's Library
Duration: '01:23'
URLs:
- https://dvojka.bandcamp.com/track/anachronists-library
---
Track: Ash Paints
Duration: '02:17'
URLs:
- https://dvojka.bandcamp.com/track/ash-paints
---
Track: Pathway of Samurai
Duration: '01:47'
URLs:
- https://dvojka.bandcamp.com/track/pathway-of-samurai
---
Track: Vent Sanglant
Duration: '02:52'
URLs:
- https://dvojka.bandcamp.com/track/vent-sanglant
